Subject: Re: What's cooking in git.git (Apr 2021, #06; Thu, 29)

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 May 2021 10:46:44 +0900

ZheNing Hu <[email-masked]> writes:

>> * zh/pretty-date-human (2021-04-27) 1 commit
>>  - pretty: provide human date format
>>  (this branch uses ab/pretty-date-format-tests.)
>>
>>  "git log --format=..." placeholders learned %ah/%ch placeholders to
>>  request the --date=human output.
>>
>>  Will merge to 'next'?
>>
>
> Here is a small typo error, I forget a small blank, which was pointed
> out by Josh
> Soref in https://github.com/gitgitgadget/git/pull/939
>
> - '%ch':: committer date, human style(like the `--date=human` option of
> + '%ch':: committer date, human style (like the `--date=human` option of

Please update it with an incremental patch as the topic has been
merged to 'next' a few days ago already.

Also plase trim your quotes to exclude description of topics that
you are not commenting on.

>> * zh/trailer-cmd (2021-04-17) 2 commits
>>  - trailer: add new .cmd config option
>>  - docs: correct description of .command
>>
>>  The way the command line specified by the trailer.<token>.command
>>  configuration variable receives the end-user supplied value was
>>  both error prone and misleading.  An alternative to achieve the
>>  same goal in a safer and more intuitive way has been added, as
>>  the trailer.<token>.cmd configuration variable, to replace it.
>>
>>  Expecting a reroll, after waiting for "commit --trailer" to stabilize.
>>
>
> I have a little doubt here. Do I need to modify the "Commit-Count"
> example in the docs immediately? I thought this should be left to
> the next step?
>
> If necessary, I will make changes immediately.

We've done the "after waiting" part already, so I should have
updated the topic summary for this one.

I just re-read the second patch and the count example that leaves an
empty "commit-count:" does look strange.  We probably want to update
it before the topic hits 'next'.  While at it, you might want to add
the "Helped-by: " example we discussed.

The phrase "global script" looks strange---just call it "script"
would be much easier to understand, as things that are in ~/bin do
not sound "global" to everybody (it is effective across
repositories, so is a bit wider than per-repository, but it is of
course not visible to other users).

Thanks.